Page MenuHomePhabricator

[Object] Replace TimeValue with std::chrono
ClosedPublic

Authored by labath on Oct 19 2016, 7:54 AM.

Details

Summary

Most of the changes are very straight-forward. The only choice I had to make was
to use second-precision time points in the Archive classes. I did this because
the archive files use that precision in the on-disk representation anyway.

Diff Detail

Repository
rL LLVM

Event Timeline

labath updated this revision to Diff 75152.Oct 19 2016, 7:54 AM
labath retitled this revision from to [Object] Replace TimeValue with std::chrono.
labath updated this object.
labath added reviewers: rafael, zturner.
labath added a subscriber: llvm-commits.
rafael accepted this revision.Oct 21 2016, 2:25 PM
rafael edited edge metadata.

LGTM

lib/Object/ArchiveWriter.cpp
99 ↗(On Diff #75152)

Will you also change what Status.getLastModificationTime in FileSystem. h returns?

This revision is now accepted and ready to land.Oct 21 2016, 2:25 PM
labath added inline comments.Oct 23 2016, 11:52 AM
lib/Object/ArchiveWriter.cpp
99 ↗(On Diff #75152)

I am doing that in D25730, which this change depends on (I am proceeding roughly by subfolders).

If you are referring to the presence of the cast however, that will need to stay, as getLAstModificationTime() returns a nanosecond precision timestamp, and we need to explicitly cast away the extra precision.

This revision was automatically updated to reflect the committed changes.